javax.persistence

## Annotation Type QueryHint

    @Target(value={})
     @Retention(value=RUNTIME)
    public @interface QueryHint

Used to supply a query property or hint to the `NamedQuery` or `NamedNativeQuery` annotation.

Vendor-specific hints that are not recognized by a provider are ignored.

Since:
  Java Persistence 1.0

### Required Element Summary

Required Elements
`java.lang.String` `name` Name of the hint.
`java.lang.String` `value` Value of the hint.

### Element Detail

#### name

    public abstract java.lang.String name

Name of the hint.

#### value

    public abstract java.lang.String value

Value of the hint.